IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/51
Addresses2^77
/64 networks8,192
- Network
2001:db8:0:e000::/51- First address
2001:db8:0:e000::- Last address
2001:db8:0:ffff:ffff:ffff:ffff:ffff- Addresses
- 151,115,727,451,828,646,838,272 (2^77)
- /64 networks (LANs)
- 8,192
- Full form
2001:0db8:0000:e000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zones
e.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpaf.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
/51 is not on a 4-bit boundary, so it takes 2 /52 zones.
Split into smaller subnets
2001:db8:0:e000::/51 makes 512 subnets of /60; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:e000::/60 | 2001:db8:0:e00f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:0:e010::/60 | 2001:db8:0:e01f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:0:e020::/60 | 2001:db8:0:e02f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:0:e030::/60 | 2001:db8:0:e03f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:0:e040::/60 | 2001:db8:0:e04f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:0:e050::/60 | 2001:db8:0:e05f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:0:e060::/60 | 2001:db8:0:e06f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:0:e070::/60 | 2001:db8:0:e07f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:0:e080::/60 | 2001:db8:0:e08f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:0:e090::/60 | 2001:db8:0:e09f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:0:e0a0::/60 | 2001:db8:0:e0af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:0:e0b0::/60 | 2001:db8:0:e0bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:0:e0c0::/60 | 2001:db8:0:e0cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:0:e0d0::/60 | 2001:db8:0:e0df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:0:e0e0::/60 | 2001:db8:0:e0ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:0:e0f0::/60 | 2001:db8:0:e0ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:0:e100::/60 | 2001:db8:0:e10f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:0:e110::/60 | 2001:db8:0:e11f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:0:e120::/60 | 2001:db8:0:e12f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:0:e130::/60 | 2001:db8:0:e13f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:0:e140::/60 | 2001:db8:0:e14f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:0:e150::/60 | 2001:db8:0:e15f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:0:e160::/60 | 2001:db8:0:e16f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:0:e170::/60 | 2001:db8:0:e17f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:0:e180::/60 | 2001:db8:0:e18f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:0:e190::/60 | 2001:db8:0:e19f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:0:e1a0::/60 | 2001:db8:0:e1af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:0:e1b0::/60 | 2001:db8:0:e1bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:0:e1c0::/60 | 2001:db8:0:e1cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:0:e1d0::/60 | 2001:db8:0:e1df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:0:e1e0::/60 | 2001:db8:0:e1ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:0:e1f0::/60 | 2001:db8:0:e1ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:0:e200::/60 | 2001:db8:0:e20f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:0:e210::/60 | 2001:db8:0:e21f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:0:e220::/60 | 2001:db8:0:e22f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:0:e230::/60 | 2001:db8:0:e23f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:0:e240::/60 | 2001:db8:0:e24f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:0:e250::/60 | 2001:db8:0:e25f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:0:e260::/60 | 2001:db8:0:e26f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:0:e270::/60 | 2001:db8:0:e27f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:0:e280::/60 | 2001:db8:0:e28f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:0:e290::/60 | 2001:db8:0:e29f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:0:e2a0::/60 | 2001:db8:0:e2af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:0:e2b0::/60 | 2001:db8:0:e2bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:0:e2c0::/60 | 2001:db8:0:e2cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:0:e2d0::/60 | 2001:db8:0:e2df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:0:e2e0::/60 | 2001:db8:0:e2ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:0:e2f0::/60 | 2001:db8:0:e2ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:0:e300::/60 | 2001:db8:0:e30f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:0:e310::/60 | 2001:db8:0:e31f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:0:e320::/60 | 2001:db8:0:e32f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:0:e330::/60 | 2001:db8:0:e33f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:0:e340::/60 | 2001:db8:0:e34f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:0:e350::/60 | 2001:db8:0:e35f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:0:e360::/60 | 2001:db8:0:e36f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:0:e370::/60 | 2001:db8:0:e37f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:0:e380::/60 | 2001:db8:0:e38f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:0:e390::/60 | 2001:db8:0:e39f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:0:e3a0::/60 | 2001:db8:0:e3af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:0:e3b0::/60 | 2001:db8:0:e3bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:0:e3c0::/60 | 2001:db8:0:e3cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:0:e3d0::/60 | 2001:db8:0:e3df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:0:e3e0::/60 | 2001:db8:0:e3ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:0:e3f0::/60 | 2001:db8:0:e3ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:0:e400::/60 | 2001:db8:0:e40f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:0:e410::/60 | 2001:db8:0:e41f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:0:e420::/60 | 2001:db8:0:e42f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:0:e430::/60 | 2001:db8:0:e43f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:0:e440::/60 | 2001:db8:0:e44f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:0:e450::/60 | 2001:db8:0:e45f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:0:e460::/60 | 2001:db8:0:e46f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:0:e470::/60 | 2001:db8:0:e47f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:0:e480::/60 | 2001:db8:0:e48f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:0:e490::/60 | 2001:db8:0:e49f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:0:e4a0::/60 | 2001:db8:0:e4af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:0:e4b0::/60 | 2001:db8:0:e4bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:0:e4c0::/60 | 2001:db8:0:e4cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:0:e4d0::/60 | 2001:db8:0:e4df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:0:e4e0::/60 | 2001:db8:0:e4ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:0:e4f0::/60 | 2001:db8:0:e4ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:0:e500::/60 | 2001:db8:0:e50f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:0:e510::/60 | 2001:db8:0:e51f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:0:e520::/60 | 2001:db8:0:e52f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:0:e530::/60 | 2001:db8:0:e53f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:0:e540::/60 | 2001:db8:0:e54f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:0:e550::/60 | 2001:db8:0:e55f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:0:e560::/60 | 2001:db8:0:e56f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:0:e570::/60 | 2001:db8:0:e57f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:0:e580::/60 | 2001:db8:0:e58f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:0:e590::/60 | 2001:db8:0:e59f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:0:e5a0::/60 | 2001:db8:0:e5af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:0:e5b0::/60 | 2001:db8:0:e5bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:0:e5c0::/60 | 2001:db8:0:e5cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:0:e5d0::/60 | 2001:db8:0:e5df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:0:e5e0::/60 | 2001:db8:0:e5ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:0:e5f0::/60 | 2001:db8:0:e5ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:0:e600::/60 | 2001:db8:0:e60f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:0:e610::/60 | 2001:db8:0:e61f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:0:e620::/60 | 2001:db8:0:e62f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:0:e630::/60 | 2001:db8:0:e63f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:0:e640::/60 | 2001:db8:0:e64f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:0:e650::/60 | 2001:db8:0:e65f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:0:e660::/60 | 2001:db8:0:e66f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:0:e670::/60 | 2001:db8:0:e67f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:0:e680::/60 | 2001:db8:0:e68f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:0:e690::/60 | 2001:db8:0:e69f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:0:e6a0::/60 | 2001:db8:0:e6af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:0:e6b0::/60 | 2001:db8:0:e6bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:0:e6c0::/60 | 2001:db8:0:e6cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:0:e6d0::/60 | 2001:db8:0:e6df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:0:e6e0::/60 | 2001:db8:0:e6ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:0:e6f0::/60 | 2001:db8:0:e6ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:0:e700::/60 | 2001:db8:0:e70f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:0:e710::/60 | 2001:db8:0:e71f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:0:e720::/60 | 2001:db8:0:e72f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:0:e730::/60 | 2001:db8:0:e73f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:0:e740::/60 | 2001:db8:0:e74f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:0:e750::/60 | 2001:db8:0:e75f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:0:e760::/60 | 2001:db8:0:e76f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:0:e770::/60 | 2001:db8:0:e77f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:0:e780::/60 | 2001:db8:0:e78f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:0:e790::/60 | 2001:db8:0:e79f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:0:e7a0::/60 | 2001:db8:0:e7af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:0:e7b0::/60 | 2001:db8:0:e7bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:0:e7c0::/60 | 2001:db8:0:e7cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:0:e7d0::/60 | 2001:db8:0:e7df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:0:e7e0::/60 | 2001:db8:0:e7ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:0:e7f0::/60 | 2001:db8:0:e7ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:0:e800::/60 | 2001:db8:0:e80f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:0:e810::/60 | 2001:db8:0:e81f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:0:e820::/60 | 2001:db8:0:e82f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:0:e830::/60 | 2001:db8:0:e83f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:0:e840::/60 | 2001:db8:0:e84f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:0:e850::/60 | 2001:db8:0:e85f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:0:e860::/60 | 2001:db8:0:e86f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:0:e870::/60 | 2001:db8:0:e87f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:0:e880::/60 | 2001:db8:0:e88f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:0:e890::/60 | 2001:db8:0:e89f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:0:e8a0::/60 | 2001:db8:0:e8af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:0:e8b0::/60 | 2001:db8:0:e8bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:0:e8c0::/60 | 2001:db8:0:e8cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:0:e8d0::/60 | 2001:db8:0:e8df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:0:e8e0::/60 | 2001:db8:0:e8ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:0:e8f0::/60 | 2001:db8:0:e8ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:0:e900::/60 | 2001:db8:0:e90f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:0:e910::/60 | 2001:db8:0:e91f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:0:e920::/60 | 2001:db8:0:e92f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:0:e930::/60 | 2001:db8:0:e93f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:0:e940::/60 | 2001:db8:0:e94f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:0:e950::/60 | 2001:db8:0:e95f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:0:e960::/60 | 2001:db8:0:e96f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:0:e970::/60 | 2001:db8:0:e97f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:0:e980::/60 | 2001:db8:0:e98f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:0:e990::/60 | 2001:db8:0:e99f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:0:e9a0::/60 | 2001:db8:0:e9af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:0:e9b0::/60 | 2001:db8:0:e9bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:0:e9c0::/60 | 2001:db8:0:e9cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:0:e9d0::/60 | 2001:db8:0:e9df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:0:e9e0::/60 | 2001:db8:0:e9ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:0:e9f0::/60 | 2001:db8:0:e9ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:0:ea00::/60 | 2001:db8:0:ea0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:0:ea10::/60 | 2001:db8:0:ea1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:0:ea20::/60 | 2001:db8:0:ea2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:0:ea30::/60 | 2001:db8:0:ea3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:0:ea40::/60 | 2001:db8:0:ea4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:0:ea50::/60 | 2001:db8:0:ea5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:0:ea60::/60 | 2001:db8:0:ea6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:0:ea70::/60 | 2001:db8:0:ea7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:0:ea80::/60 | 2001:db8:0:ea8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:0:ea90::/60 | 2001:db8:0:ea9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:0:eaa0::/60 | 2001:db8:0:eaaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:0:eab0::/60 | 2001:db8:0:eabf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:0:eac0::/60 | 2001:db8:0:eacf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:0:ead0::/60 | 2001:db8:0:eadf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:0:eae0::/60 | 2001:db8:0:eaef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:0:eaf0::/60 | 2001:db8:0:eaff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:0:eb00::/60 | 2001:db8:0:eb0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:0:eb10::/60 | 2001:db8:0:eb1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:0:eb20::/60 | 2001:db8:0:eb2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:0:eb30::/60 | 2001:db8:0:eb3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:0:eb40::/60 | 2001:db8:0:eb4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:0:eb50::/60 | 2001:db8:0:eb5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:0:eb60::/60 | 2001:db8:0:eb6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:0:eb70::/60 | 2001:db8:0:eb7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:0:eb80::/60 | 2001:db8:0:eb8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:0:eb90::/60 | 2001:db8:0:eb9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:0:eba0::/60 | 2001:db8:0:ebaf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:0:ebb0::/60 | 2001:db8:0:ebbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:0:ebc0::/60 | 2001:db8:0:ebcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:0:ebd0::/60 | 2001:db8:0:ebdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:0:ebe0::/60 | 2001:db8:0:ebef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:0:ebf0::/60 | 2001:db8:0:ebff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:0:ec00::/60 | 2001:db8:0:ec0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:0:ec10::/60 | 2001:db8:0:ec1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:0:ec20::/60 | 2001:db8:0:ec2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:0:ec30::/60 | 2001:db8:0:ec3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:0:ec40::/60 | 2001:db8:0:ec4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:0:ec50::/60 | 2001:db8:0:ec5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:0:ec60::/60 | 2001:db8:0:ec6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:0:ec70::/60 | 2001:db8:0:ec7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:0:ec80::/60 | 2001:db8:0:ec8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:0:ec90::/60 | 2001:db8:0:ec9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:0:eca0::/60 | 2001:db8:0:ecaf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:0:ecb0::/60 | 2001:db8:0:ecbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:0:ecc0::/60 | 2001:db8:0:eccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:0:ecd0::/60 | 2001:db8:0:ecdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:0:ece0::/60 | 2001:db8:0:ecef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:0:ecf0::/60 | 2001:db8:0:ecff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:0:ed00::/60 | 2001:db8:0:ed0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:0:ed10::/60 | 2001:db8:0:ed1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:0:ed20::/60 | 2001:db8:0:ed2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:0:ed30::/60 | 2001:db8:0:ed3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:0:ed40::/60 | 2001:db8:0:ed4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:0:ed50::/60 | 2001:db8:0:ed5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:0:ed60::/60 | 2001:db8:0:ed6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:0:ed70::/60 | 2001:db8:0:ed7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:0:ed80::/60 | 2001:db8:0:ed8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:0:ed90::/60 | 2001:db8:0:ed9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:0:eda0::/60 | 2001:db8:0:edaf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:0:edb0::/60 | 2001:db8:0:edbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:0:edc0::/60 | 2001:db8:0:edcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:0:edd0::/60 | 2001:db8:0:eddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:0:ede0::/60 | 2001:db8:0:edef:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:0:edf0::/60 | 2001:db8:0:edff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:0:ee00::/60 | 2001:db8:0:ee0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:0:ee10::/60 | 2001:db8:0:ee1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:0:ee20::/60 | 2001:db8:0:ee2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:0:ee30::/60 | 2001:db8:0:ee3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:0:ee40::/60 | 2001:db8:0:ee4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:0:ee50::/60 | 2001:db8:0:ee5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:0:ee60::/60 | 2001:db8:0:ee6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:0:ee70::/60 | 2001:db8:0:ee7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:0:ee80::/60 | 2001:db8:0:ee8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:0:ee90::/60 | 2001:db8:0:ee9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:0:eea0::/60 | 2001:db8:0:eeaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:0:eeb0::/60 | 2001:db8:0:eebf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:0:eec0::/60 | 2001:db8:0:eecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:0:eed0::/60 | 2001:db8:0:eedf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:0:eee0::/60 | 2001:db8:0:eeef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:0:eef0::/60 | 2001:db8:0:eeff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:0:ef00::/60 | 2001:db8:0:ef0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:0:ef10::/60 | 2001:db8:0:ef1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:0:ef20::/60 | 2001:db8:0:ef2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:0:ef30::/60 | 2001:db8:0:ef3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:0:ef40::/60 | 2001:db8:0:ef4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:0:ef50::/60 | 2001:db8:0:ef5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:0:ef60::/60 | 2001:db8:0:ef6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:0:ef70::/60 | 2001:db8:0:ef7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:0:ef80::/60 | 2001:db8:0:ef8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:0:ef90::/60 | 2001:db8:0:ef9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:0:efa0::/60 | 2001:db8:0:efaf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:0:efb0::/60 | 2001:db8:0:efbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:0:efc0::/60 | 2001:db8:0:efcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:0:efd0::/60 | 2001:db8:0:efdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:0:efe0::/60 | 2001:db8:0:efef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:0:eff0::/60 | 2001:db8:0:efff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |